<link:linkbase
    xmlns:link="http://www.xbrl.org/2003/linkbase"
    xmlns:xlink="http://www.w3.org/1999/xlink"
    xmlns:xbrldt="http://xbrl.org/2005/xbrldt"
    >

   <link:arcroleRef xlink:type="simple" xlink:href="https://www.xbrl.org/2023/calculation-1.1.xsd#summation-item" arcroleURI="https://xbrl.org/2023/arcrole/summation-item"/>
   <link:roleRef xlink:type="simple" xlink:href="8156005420362AE59184-2024-12-31.xsd#id_167" roleURI="https://www.bancaifis.it/xbrl/role/all/ias_1_role-210000"/>
   <link:roleRef xlink:type="simple" xlink:href="8156005420362AE59184-2024-12-31.xsd#id_10" roleURI="https://www.bancaifis.it/xbrl/role/all/ias_1_role-310000"/>
   <link:roleRef xlink:type="simple" xlink:href="8156005420362AE59184-2024-12-31.xsd#id_169" roleURI="https://www.bancaifis.it/xbrl/role/all/ias_1_role-410000"/>
   <link:roleRef xlink:type="simple" xlink:href="8156005420362AE59184-2024-12-31.xsd#id_12" roleURI="https://www.bancaifis.it/xbrl/role/all/ias_1_role-610000"/>
   <link:roleRef xlink:type="simple" xlink:href="8156005420362AE59184-2024-12-31.xsd#id_172" roleURI="https://www.bancaifis.it/xbrl/role/all/ias_7_role-520000"/>
   <!-- https://xbrl.org/2023/arcrole/summation-item https://www.bancaifis.it/xbrl/role/all/ias_1_role-210000 -->
   <link:calculationLink xlink:role="https://www.bancaifis.it/xbrl/role/all/ias_1_role-210000" xlink:type="extended">
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Assets" xlink:label="ifrs-full_Assets" xlink:type="locator"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_FinancialAssetsAtFairValueThroughProfitOrLoss" xlink:label="ifrs-full_FinancialAssetsAtFairValueThroughProfitOrLoss" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_Assets"
                          xlink:to="ifrs-full_FinancialAssetsAtFairValueThroughProfitOrLoss"
                            weight="1.0"
                            order="1"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DerivativeFinancialAssetsHeldForHedging" xlink:label="ifrs-full_DerivativeFinancialAssetsHeldForHedging" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_Assets"
                          xlink:to="ifrs-full_DerivativeFinancialAssetsHeldForHedging"
                            weight="1.0"
                            order="2"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_FinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome" xlink:label="ifrs-full_FinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_Assets"
                          xlink:to="ifrs-full_FinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncome"
                            weight="1.0"
                            order="3"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_FinancialAssetsAtAmortisedCost" xlink:label="ifrs-full_FinancialAssetsAtAmortisedCost" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_Assets"
                          xlink:to="ifrs-full_FinancialAssetsAtAmortisedCost"
                            weight="1.0"
                            order="4"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IntangibleAssetsAndGoodwill" xlink:label="ifrs-full_IntangibleAssetsAndGoodwill" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_Assets"
                          xlink:to="ifrs-full_IntangibleAssetsAndGoodwill"
                            weight="1.0"
                            order="5"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherAssets" xlink:label="ifrs-full_OtherAssets" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_Assets"
                          xlink:to="ifrs-full_OtherAssets"
                            weight="1.0"
                            order="6"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashAndCashEquivalents" xlink:label="ifrs-full_CashAndCashEquivalents" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_Assets"
                          xlink:to="ifrs-full_CashAndCashEquivalents"
                            weight="1.0"
                            order="7"
                          xlink:type="arc"/>
      <link:loc xlink:href="8156005420362AE59184-2024-12-31.xsd#ext_TaxAssets" xlink:label="ext_TaxAssets" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_Assets"
                          xlink:to="ext_TaxAssets"
                            weight="1.0"
                            order="8"
                          xlink:type="arc"/>
      <link:loc xlink:href="8156005420362AE59184-2024-12-31.xsd#ext_TangibleAssets" xlink:label="ext_TangibleAssets" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_Assets"
                          xlink:to="ext_TangibleAssets"
                            weight="1.0"
                            order="9"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_InvestmentAccountedForUsingEquityMethod" xlink:label="ifrs-full_InvestmentAccountedForUsingEquityMethod" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_Assets"
                          xlink:to="ifrs-full_InvestmentAccountedForUsingEquityMethod"
                            weight="1.0"
                            order="10"
                          xlink:type="arc"/>
   </link:calculationLink>
   <link:calculationLink xlink:role="https://www.bancaifis.it/xbrl/role/all/ias_1_role-210000" xlink:type="extended">
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_EquityAndLiabilities" xlink:label="ifrs-full_EquityAndLiabilities" xlink:type="locator"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IssuedCapital" xlink:label="ifrs-full_IssuedCapital" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_EquityAndLiabilities"
                          xlink:to="ifrs-full_IssuedCapital"
                            weight="1.0"
                            order="1"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_SharePremium" xlink:label="ifrs-full_SharePremium" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_EquityAndLiabilities"
                          xlink:to="ifrs-full_SharePremium"
                            weight="1.0"
                            order="2"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_TreasuryShares" xlink:label="ifrs-full_TreasuryShares" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_EquityAndLiabilities"
                          xlink:to="ifrs-full_TreasuryShares"
                            weight="-1.0"
                            order="3"
                          xlink:type="arc"/>
      <link:loc xlink:href="8156005420362AE59184-2024-12-31.xsd#ext_ProfitLossAttributableToOwnersOfParent" xlink:label="ext_ProfitLossAttributableToOwnersOfParent" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_EquityAndLiabilities"
                          xlink:to="ext_ProfitLossAttributableToOwnersOfParent"
                            weight="1.0"
                            order="4"
                          xlink:type="arc"/>
      <link:loc xlink:href="8156005420362AE59184-2024-12-31.xsd#ext_OtherReservesOther" xlink:label="ext_OtherReservesOther" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_EquityAndLiabilities"
                          xlink:to="ext_OtherReservesOther"
                            weight="1.0"
                            order="5"
                          xlink:type="arc"/>
      <link:loc xlink:href="8156005420362AE59184-2024-12-31.xsd#ext_ValuationReserve" xlink:label="ext_ValuationReserve" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_EquityAndLiabilities"
                          xlink:to="ext_ValuationReserve"
                            weight="1.0"
                            order="6"
                          xlink:type="arc"/>
      <link:loc xlink:href="8156005420362AE59184-2024-12-31.xsd#ext_Interim_dividends" xlink:label="ext_Interim_dividends" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_EquityAndLiabilities"
                          xlink:to="ext_Interim_dividends"
                            weight="1.0"
                            order="7"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncontrollingInterests" xlink:label="ifrs-full_NoncontrollingInterests" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_EquityAndLiabilities"
                          xlink:to="ifrs-full_NoncontrollingInterests"
                            weight="1.0"
                            order="8"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DerivativeFinancialLiabilitiesHeldForHedging" xlink:label="ifrs-full_DerivativeFinancialLiabilitiesHeldForHedging" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_EquityAndLiabilities"
                          xlink:to="ifrs-full_DerivativeFinancialLiabilitiesHeldForHedging"
                            weight="1.0"
                            order="9"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_FinancialLiabilitiesAtAmortisedCost" xlink:label="ifrs-full_FinancialLiabilitiesAtAmortisedCost" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_EquityAndLiabilities"
                          xlink:to="ifrs-full_FinancialLiabilitiesAtAmortisedCost"
                            weight="1.0"
                            order="10"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_FinancialLiabilitiesAtFairValueThroughProfitOrLossClassifiedAsHeldForTrading" xlink:label="ifrs-full_FinancialLiabilitiesAtFairValueThroughProfitOrLossClassifiedAsHeldForTrading" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_EquityAndLiabilities"
                          xlink:to="ifrs-full_FinancialLiabilitiesAtFairValueThroughProfitOrLossClassifiedAsHeldForTrading"
                            weight="1.0"
                            order="11"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherLiabilities" xlink:label="ifrs-full_OtherLiabilities" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_EquityAndLiabilities"
                          xlink:to="ifrs-full_OtherLiabilities"
                            weight="1.0"
                            order="12"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Provisions" xlink:label="ifrs-full_Provisions" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_EquityAndLiabilities"
                          xlink:to="ifrs-full_Provisions"
                            weight="1.0"
                            order="13"
                          xlink:type="arc"/>
      <link:loc xlink:href="8156005420362AE59184-2024-12-31.xsd#ext_TaxLiabilities" xlink:label="ext_TaxLiabilities" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_EquityAndLiabilities"
                          xlink:to="ext_TaxLiabilities"
                            weight="1.0"
                            order="14"
                          xlink:type="arc"/>
      <link:loc xlink:href="8156005420362AE59184-2024-12-31.xsd#ext_ProvisionForEmployeeSeverancesPay" xlink:label="ext_ProvisionForEmployeeSeverancesPay" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_EquityAndLiabilities"
                          xlink:to="ext_ProvisionForEmployeeSeverancesPay"
                            weight="1.0"
                            order="15"
                          xlink:type="arc"/>
   </link:calculationLink>
   <link:calculationLink xlink:role="https://www.bancaifis.it/xbrl/role/all/ias_1_role-210000" xlink:type="extended">
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_FinancialAssetsAtAmortisedCost" xlink:label="ifrs-full_FinancialAssetsAtAmortisedCost" xlink:type="locator"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_LoansAndAdvancesToBanks" xlink:label="ifrs-full_LoansAndAdvancesToBanks" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_FinancialAssetsAtAmortisedCost"
                          xlink:to="ifrs-full_LoansAndAdvancesToBanks"
                            weight="1.0"
                            order="1"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_LoansAndAdvancesToCustomers" xlink:label="ifrs-full_LoansAndAdvancesToCustomers" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_FinancialAssetsAtAmortisedCost"
                          xlink:to="ifrs-full_LoansAndAdvancesToCustomers"
                            weight="1.0"
                            order="2"
                          xlink:type="arc"/>
   </link:calculationLink>
   <link:calculationLink xlink:role="https://www.bancaifis.it/xbrl/role/all/ias_1_role-210000" xlink:type="extended">
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_FinancialAssetsAtFairValueThroughProfitOrLoss" xlink:label="ifrs-full_FinancialAssetsAtFairValueThroughProfitOrLoss" xlink:type="locator"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_FinancialAssetsAtFairValueThroughProfitOrLossClassifiedAsHeldForTrading" xlink:label="ifrs-full_FinancialAssetsAtFairValueThroughProfitOrLossClassifiedAsHeldForTrading" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_FinancialAssetsAtFairValueThroughProfitOrLoss"
                          xlink:to="ifrs-full_FinancialAssetsAtFairValueThroughProfitOrLossClassifiedAsHeldForTrading"
                            weight="1.0"
                            order="1"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_FinancialAssetsAtFairValueThroughProfitOrLossMandatorilyMeasuredAtFairValue" xlink:label="ifrs-full_FinancialAssetsAtFairValueThroughProfitOrLossMandatorilyMeasuredAtFairValue" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_FinancialAssetsAtFairValueThroughProfitOrLoss"
                          xlink:to="ifrs-full_FinancialAssetsAtFairValueThroughProfitOrLossMandatorilyMeasuredAtFairValue"
                            weight="1.0"
                            order="2"
                          xlink:type="arc"/>
   </link:calculationLink>
   <link:calculationLink xlink:role="https://www.bancaifis.it/xbrl/role/all/ias_1_role-210000" xlink:type="extended">
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_FinancialLiabilitiesAtAmortisedCost" xlink:label="ifrs-full_FinancialLiabilitiesAtAmortisedCost" xlink:type="locator"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DepositsFromBanks" xlink:label="ifrs-full_DepositsFromBanks" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_FinancialLiabilitiesAtAmortisedCost"
                          xlink:to="ifrs-full_DepositsFromBanks"
                            weight="1.0"
                            order="1"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DepositsFromCustomers" xlink:label="ifrs-full_DepositsFromCustomers" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_FinancialLiabilitiesAtAmortisedCost"
                          xlink:to="ifrs-full_DepositsFromCustomers"
                            weight="1.0"
                            order="2"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DebtSecurities" xlink:label="ifrs-full_DebtSecurities" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_FinancialLiabilitiesAtAmortisedCost"
                          xlink:to="ifrs-full_DebtSecurities"
                            weight="1.0"
                            order="3"
                          xlink:type="arc"/>
   </link:calculationLink>
   <link:calculationLink xlink:role="https://www.bancaifis.it/xbrl/role/all/ias_1_role-210000" xlink:type="extended">
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Provisions" xlink:label="ifrs-full_Provisions" xlink:type="locator"/>
      <link:loc xlink:href="8156005420362AE59184-2024-12-31.xsd#ext_ProvisionForCommittmentsAndGuaranteesGiven" xlink:label="ext_ProvisionForCommittmentsAndGuaranteesGiven" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_Provisions"
                          xlink:to="ext_ProvisionForCommittmentsAndGuaranteesGiven"
                            weight="1.0"
                            order="1"
                          xlink:type="arc"/>
      <link:loc xlink:href="8156005420362AE59184-2024-12-31.xsd#ext_PostRetirementBenefitObligation" xlink:label="ext_PostRetirementBenefitObligation" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_Provisions"
                          xlink:to="ext_PostRetirementBenefitObligation"
                            weight="1.0"
                            order="2"
                          xlink:type="arc"/>
      <link:loc xlink:href="8156005420362AE59184-2024-12-31.xsd#ext_OtherProvisionsForRiskAndCharges" xlink:label="ext_OtherProvisionsForRiskAndCharges" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_Provisions"
                          xlink:to="ext_OtherProvisionsForRiskAndCharges"
                            weight="1.0"
                            order="3"
                          xlink:type="arc"/>
   </link:calculationLink>
   <link:calculationLink xlink:role="https://www.bancaifis.it/xbrl/role/all/ias_1_role-210000" xlink:type="extended">
      <link:loc xlink:href="8156005420362AE59184-2024-12-31.xsd#ext_TaxAssets" xlink:label="ext_TaxAssets" xlink:type="locator"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DeferredTaxAssets" xlink:label="ifrs-full_DeferredTaxAssets" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ext_TaxAssets"
                          xlink:to="ifrs-full_DeferredTaxAssets"
                            weight="1.0"
                            order="1"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentTaxAssets" xlink:label="ifrs-full_CurrentTaxAssets" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ext_TaxAssets"
                          xlink:to="ifrs-full_CurrentTaxAssets"
                            weight="1.0"
                            order="2"
                          xlink:type="arc"/>
   </link:calculationLink>
   <link:calculationLink xlink:role="https://www.bancaifis.it/xbrl/role/all/ias_1_role-210000" xlink:type="extended">
      <link:loc xlink:href="8156005420362AE59184-2024-12-31.xsd#ext_TaxLiabilities" xlink:label="ext_TaxLiabilities" xlink:type="locator"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DeferredTaxLiabilities" xlink:label="ifrs-full_DeferredTaxLiabilities" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ext_TaxLiabilities"
                          xlink:to="ifrs-full_DeferredTaxLiabilities"
                            weight="1.0"
                            order="1"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentTaxLiabilities" xlink:label="ifrs-full_CurrentTaxLiabilities" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ext_TaxLiabilities"
                          xlink:to="ifrs-full_CurrentTaxLiabilities"
                            weight="1.0"
                            order="2"
                          xlink:type="arc"/>
   </link:calculationLink>
   <!-- https://xbrl.org/2023/arcrole/summation-item https://www.bancaifis.it/xbrl/role/all/ias_1_role-310000 -->
   <link:calculationLink xlink:role="https://www.bancaifis.it/xbrl/role/all/ias_1_role-310000" xlink:type="extended">
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLoss" xlink:label="ifrs-full_ProfitLoss" xlink:type="locator"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossBeforeTax" xlink:label="ifrs-full_ProfitLossBeforeTax" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_ProfitLoss"
                          xlink:to="ifrs-full_ProfitLossBeforeTax"
                            weight="1.0"
                            order="1"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncomeTaxExpenseContinuingOperations" xlink:label="ifrs-full_IncomeTaxExpenseContinuingOperations" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_ProfitLoss"
                          xlink:to="ifrs-full_IncomeTaxExpenseContinuingOperations"
                            weight="-1.0"
                            order="2"
                          xlink:type="arc"/>
   </link:calculationLink>
   <link:calculationLink xlink:role="https://www.bancaifis.it/xbrl/role/all/ias_1_role-310000" xlink:type="extended">
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossBeforeTax" xlink:label="ifrs-full_ProfitLossBeforeTax" xlink:type="locator"/>
      <link:loc xlink:href="8156005420362AE59184-2024-12-31.xsd#ext_ProfitLossFromFinancialAndInsuranceActivities" xlink:label="ext_ProfitLossFromFinancialAndInsuranceActivities" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_ProfitLossBeforeTax"
                          xlink:to="ext_ProfitLossFromFinancialAndInsuranceActivities"
                            weight="1.0"
                            order="1"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_GainsLossesOnDisposalsOfInvestments" xlink:label="ifrs-full_GainsLossesOnDisposalsOfInvestments" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_ProfitLossBeforeTax"
                          xlink:to="ifrs-full_GainsLossesOnDisposalsOfInvestments"
                            weight="1.0"
                            order="2"
                          xlink:type="arc"/>
      <link:loc xlink:href="8156005420362AE59184-2024-12-31.xsd#ext_OperatingCosts" xlink:label="ext_OperatingCosts" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_ProfitLossBeforeTax"
                          xlink:to="ext_OperatingCosts"
                            weight="1.0"
                            order="3"
                          xlink:type="arc"/>
   </link:calculationLink>
   <link:calculationLink xlink:role="https://www.bancaifis.it/xbrl/role/all/ias_1_role-310000" xlink:type="extended">
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdministrativeExpense" xlink:label="ifrs-full_AdministrativeExpense" xlink:type="locator"/>
      <link:loc xlink:href="8156005420362AE59184-2024-12-31.xsd#ext_OtherAdministrativeExpense" xlink:label="ext_OtherAdministrativeExpense" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_AdministrativeExpense"
                          xlink:to="ext_OtherAdministrativeExpense"
                            weight="1.0"
                            order="1"
                          xlink:type="arc"/>
      <link:loc xlink:href="8156005420362AE59184-2024-12-31.xsd#ext_AdministrativeExpenseStaffCosts" xlink:label="ext_AdministrativeExpenseStaffCosts" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_AdministrativeExpense"
                          xlink:to="ext_AdministrativeExpenseStaffCosts"
                            weight="1.0"
                            order="2"
                          xlink:type="arc"/>
   </link:calculationLink>
   <link:calculationLink xlink:role="https://www.bancaifis.it/xbrl/role/all/ias_1_role-310000" xlink:type="extended">
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_FeeAndCommissionIncomeExpense" xlink:label="ifrs-full_FeeAndCommissionIncomeExpense" xlink:type="locator"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_FeeAndCommissionIncome" xlink:label="ifrs-full_FeeAndCommissionIncome" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_FeeAndCommissionIncomeExpense"
                          xlink:to="ifrs-full_FeeAndCommissionIncome"
                            weight="1.0"
                            order="1"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_FeeAndCommissionExpense" xlink:label="ifrs-full_FeeAndCommissionExpense" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_FeeAndCommissionIncomeExpense"
                          xlink:to="ifrs-full_FeeAndCommissionExpense"
                            weight="-1.0"
                            order="2"
                          xlink:type="arc"/>
   </link:calculationLink>
   <link:calculationLink xlink:role="https://www.bancaifis.it/xbrl/role/all/ias_1_role-310000" xlink:type="extended">
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ImpairmentLossImpairmentGainAndReversalOfImpairmentLossDeterminedInAccordanceWithIFRS9" xlink:label="ifrs-full_ImpairmentLossImpairmentGainAndReversalOfImpairmentLossDeterminedInAccordanceWithIFRS9" xlink:type="locator"/>
      <link:loc xlink:href="8156005420362AE59184-2024-12-31.xsd#ext_ImpairmentLossImpairmentGainAndReversalOfImpairmentLossDeterminedInAccordanceWithIFRS9OnFinancialAssetsAtFairValueThroughOtherComprehensiveIncome" xlink:label="ext_ImpairmentLossImpairmentGainAndReversalOfImpairmentLossDeterminedInAccordanceWithIFRS9OnFinancialAssetsAtFairValueThroughOtherComprehensiveIncome" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_ImpairmentLossImpairmentGainAndReversalOfImpairmentLossDeterminedInAccordanceWithIFRS9"
                          xlink:to="ext_ImpairmentLossImpairmentGainAndReversalOfImpairmentLossDeterminedInAccordanceWithIFRS9OnFinancialAssetsAtFairValueThroughOtherComprehensiveIncome"
                            weight="1.0"
                            order="1"
                          xlink:type="arc"/>
      <link:loc xlink:href="8156005420362AE59184-2024-12-31.xsd#ext_ImpairmentLossImpairmentGainAndReversalOfImpairmentLossDeterminedInAccordanceWithIFRS9OnFinancialAssetsAtAmortisedCost" xlink:label="ext_ImpairmentLossImpairmentGainAndReversalOfImpairmentLossDeterminedInAccordanceWithIFRS9OnFinancialAssetsAtAmortisedCost" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_ImpairmentLossImpairmentGainAndReversalOfImpairmentLossDeterminedInAccordanceWithIFRS9"
                          xlink:to="ext_ImpairmentLossImpairmentGainAndReversalOfImpairmentLossDeterminedInAccordanceWithIFRS9OnFinancialAssetsAtAmortisedCost"
                            weight="1.0"
                            order="2"
                          xlink:type="arc"/>
   </link:calculationLink>
   <link:calculationLink xlink:role="https://www.bancaifis.it/xbrl/role/all/ias_1_role-310000" xlink:type="extended">
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossAttributableToOwnersOfParent" xlink:label="ifrs-full_ProfitLossAttributableToOwnersOfParent" xlink:type="locator"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossAttributableToNoncontrollingInterests" xlink:label="ifrs-full_ProfitLossAttributableToNoncontrollingInterests" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_ProfitLossAttributableToOwnersOfParent"
                          xlink:to="ifrs-full_ProfitLossAttributableToNoncontrollingInterests"
                            weight="1.0"
                            order="1"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLoss" xlink:label="ifrs-full_ProfitLoss" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_ProfitLossAttributableToOwnersOfParent"
                          xlink:to="ifrs-full_ProfitLoss"
                            weight="1.0"
                            order="2"
                          xlink:type="arc"/>
   </link:calculationLink>
   <link:calculationLink xlink:role="https://www.bancaifis.it/xbrl/role/all/ias_1_role-310000" xlink:type="extended">
      <link:loc xlink:href="8156005420362AE59184-2024-12-31.xsd#ext_GainsLossesOnDisposalsandRepurchaseOfFinancialAssetsandLiabilities" xlink:label="ext_GainsLossesOnDisposalsandRepurchaseOfFinancialAssetsandLiabilities" xlink:type="locator"/>
      <link:loc xlink:href="8156005420362AE59184-2024-12-31.xsd#ext_GainLossOnDisposalsOfFinancialAssetsAtFairValueThroughOtherComprehensiveIncome" xlink:label="ext_GainLossOnDisposalsOfFinancialAssetsAtFairValueThroughOtherComprehensiveIncome" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ext_GainsLossesOnDisposalsandRepurchaseOfFinancialAssetsandLiabilities"
                          xlink:to="ext_GainLossOnDisposalsOfFinancialAssetsAtFairValueThroughOtherComprehensiveIncome"
                            weight="1.0"
                            order="1"
                          xlink:type="arc"/>
      <link:loc xlink:href="8156005420362AE59184-2024-12-31.xsd#ext_GainLossArisingFromDisposalOfFinancialAssetsMeasuredAtAmortisedCost" xlink:label="ext_GainLossArisingFromDisposalOfFinancialAssetsMeasuredAtAmortisedCost" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ext_GainsLossesOnDisposalsandRepurchaseOfFinancialAssetsandLiabilities"
                          xlink:to="ext_GainLossArisingFromDisposalOfFinancialAssetsMeasuredAtAmortisedCost"
                            weight="1.0"
                            order="2"
                          xlink:type="arc"/>
      <link:loc xlink:href="8156005420362AE59184-2024-12-31.xsd#ext_GainLossArisingFromRepurchaseOfFinancialLiabilities" xlink:label="ext_GainLossArisingFromRepurchaseOfFinancialLiabilities" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ext_GainsLossesOnDisposalsandRepurchaseOfFinancialAssetsandLiabilities"
                          xlink:to="ext_GainLossArisingFromRepurchaseOfFinancialLiabilities"
                            weight="1.0"
                            order="3"
                          xlink:type="arc"/>
   </link:calculationLink>
   <link:calculationLink xlink:role="https://www.bancaifis.it/xbrl/role/all/ias_1_role-310000" xlink:type="extended">
      <link:loc xlink:href="8156005420362AE59184-2024-12-31.xsd#ext_GrossIncome" xlink:label="ext_GrossIncome" xlink:type="locator"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_FeeAndCommissionIncomeExpense" xlink:label="ifrs-full_FeeAndCommissionIncomeExpense" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ext_GrossIncome"
                          xlink:to="ifrs-full_FeeAndCommissionIncomeExpense"
                            weight="1.0"
                            order="1"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_RevenueFromDividends" xlink:label="ifrs-full_RevenueFromDividends" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ext_GrossIncome"
                          xlink:to="ifrs-full_RevenueFromDividends"
                            weight="1.0"
                            order="2"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_TradingIncomeExpense" xlink:label="ifrs-full_TradingIncomeExpense" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ext_GrossIncome"
                          xlink:to="ifrs-full_TradingIncomeExpense"
                            weight="1.0"
                            order="3"
                          xlink:type="arc"/>
      <link:loc xlink:href="8156005420362AE59184-2024-12-31.xsd#ext_NetInterestMargin" xlink:label="ext_NetInterestMargin" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ext_GrossIncome"
                          xlink:to="ext_NetInterestMargin"
                            weight="1.0"
                            order="4"
                          xlink:type="arc"/>
      <link:loc xlink:href="8156005420362AE59184-2024-12-31.xsd#ext_NetGainsLossesFromHedgeAccounting" xlink:label="ext_NetGainsLossesFromHedgeAccounting" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ext_GrossIncome"
                          xlink:to="ext_NetGainsLossesFromHedgeAccounting"
                            weight="1.0"
                            order="5"
                          xlink:type="arc"/>
      <link:loc xlink:href="8156005420362AE59184-2024-12-31.xsd#ext_GainsLossesOnDisposalsandRepurchaseOfFinancialAssetsandLiabilities" xlink:label="ext_GainsLossesOnDisposalsandRepurchaseOfFinancialAssetsandLiabilities" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ext_GrossIncome"
                          xlink:to="ext_GainsLossesOnDisposalsandRepurchaseOfFinancialAssetsandLiabilities"
                            weight="1.0"
                            order="6"
                          xlink:type="arc"/>
      <link:loc xlink:href="8156005420362AE59184-2024-12-31.xsd#ext_NetGainsLossesOnOtherFinancialAssetsLiabilitiesAtFairValueThroughProfitOrLoss" xlink:label="ext_NetGainsLossesOnOtherFinancialAssetsLiabilitiesAtFairValueThroughProfitOrLoss" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ext_GrossIncome"
                          xlink:to="ext_NetGainsLossesOnOtherFinancialAssetsLiabilitiesAtFairValueThroughProfitOrLoss"
                            weight="1.0"
                            order="7"
                          xlink:type="arc"/>
   </link:calculationLink>
   <link:calculationLink xlink:role="https://www.bancaifis.it/xbrl/role/all/ias_1_role-310000" xlink:type="extended">
      <link:loc xlink:href="8156005420362AE59184-2024-12-31.xsd#ext_NetGainsLossesOnOtherFinancialAssetsLiabilitiesAtFairValueThroughProfitOrLoss" xlink:label="ext_NetGainsLossesOnOtherFinancialAssetsLiabilitiesAtFairValueThroughProfitOrLoss" xlink:type="locator"/>
      <link:loc xlink:href="8156005420362AE59184-2024-12-31.xsd#ext_GainsLossesOnFinancialAssetsLiabilitiesMandatorilyAtFairValueThroughProfitOrLoss" xlink:label="ext_GainsLossesOnFinancialAssetsLiabilitiesMandatorilyAtFairValueThroughProfitOrLoss" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ext_NetGainsLossesOnOtherFinancialAssetsLiabilitiesAtFairValueThroughProfitOrLoss"
                          xlink:to="ext_GainsLossesOnFinancialAssetsLiabilitiesMandatorilyAtFairValueThroughProfitOrLoss"
                            weight="1.0"
                            order="1"
                          xlink:type="arc"/>
   </link:calculationLink>
   <link:calculationLink xlink:role="https://www.bancaifis.it/xbrl/role/all/ias_1_role-310000" xlink:type="extended">
      <link:loc xlink:href="8156005420362AE59184-2024-12-31.xsd#ext_NetInterestMargin" xlink:label="ext_NetInterestMargin" xlink:type="locator"/>
      <link:loc xlink:href="8156005420362AE59184-2024-12-31.xsd#ext_InterestIncomeAndSimilarRevenues" xlink:label="ext_InterestIncomeAndSimilarRevenues" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ext_NetInterestMargin"
                          xlink:to="ext_InterestIncomeAndSimilarRevenues"
                            weight="1.0"
                            order="1"
                          xlink:type="arc"/>
      <link:loc xlink:href="8156005420362AE59184-2024-12-31.xsd#ext_InterestExpenseAndSimilarCharges" xlink:label="ext_InterestExpenseAndSimilarCharges" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ext_NetInterestMargin"
                          xlink:to="ext_InterestExpenseAndSimilarCharges"
                            weight="-1.0"
                            order="2"
                          xlink:type="arc"/>
   </link:calculationLink>
   <link:calculationLink xlink:role="https://www.bancaifis.it/xbrl/role/all/ias_1_role-310000" xlink:type="extended">
      <link:loc xlink:href="8156005420362AE59184-2024-12-31.xsd#ext_NetProfitFromFinancialActivities" xlink:label="ext_NetProfitFromFinancialActivities" xlink:type="locator"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ImpairmentLossImpairmentGainAndReversalOfImpairmentLossDeterminedInAccordanceWithIFRS9" xlink:label="ifrs-full_ImpairmentLossImpairmentGainAndReversalOfImpairmentLossDeterminedInAccordanceWithIFRS9" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ext_NetProfitFromFinancialActivities"
                          xlink:to="ifrs-full_ImpairmentLossImpairmentGainAndReversalOfImpairmentLossDeterminedInAccordanceWithIFRS9"
                            weight="-1.0"
                            order="1"
                          xlink:type="arc"/>
      <link:loc xlink:href="8156005420362AE59184-2024-12-31.xsd#ext_GrossIncome" xlink:label="ext_GrossIncome" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ext_NetProfitFromFinancialActivities"
                          xlink:to="ext_GrossIncome"
                            weight="1.0"
                            order="2"
                          xlink:type="arc"/>
   </link:calculationLink>
   <link:calculationLink xlink:role="https://www.bancaifis.it/xbrl/role/all/ias_1_role-310000" xlink:type="extended">
      <link:loc xlink:href="8156005420362AE59184-2024-12-31.xsd#ext_NetProvisionsForRisksAndCharges" xlink:label="ext_NetProvisionsForRisksAndCharges" xlink:type="locator"/>
      <link:loc xlink:href="8156005420362AE59184-2024-12-31.xsd#ext_NetProvisionsForRisksAndChargesOtherNetProvision" xlink:label="ext_NetProvisionsForRisksAndChargesOtherNetProvision" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ext_NetProvisionsForRisksAndCharges"
                          xlink:to="ext_NetProvisionsForRisksAndChargesOtherNetProvision"
                            weight="1.0"
                            order="1"
                          xlink:type="arc"/>
      <link:loc xlink:href="8156005420362AE59184-2024-12-31.xsd#ext_NetProvisionsForRisksAndChargesCommitmentsAndFinancialGuaranteesGiven" xlink:label="ext_NetProvisionsForRisksAndChargesCommitmentsAndFinancialGuaranteesGiven" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ext_NetProvisionsForRisksAndCharges"
                          xlink:to="ext_NetProvisionsForRisksAndChargesCommitmentsAndFinancialGuaranteesGiven"
                            weight="1.0"
                            order="2"
                          xlink:type="arc"/>
   </link:calculationLink>
   <link:calculationLink xlink:role="https://www.bancaifis.it/xbrl/role/all/ias_1_role-310000" xlink:type="extended">
      <link:loc xlink:href="8156005420362AE59184-2024-12-31.xsd#ext_OperatingCosts" xlink:label="ext_OperatingCosts" xlink:type="locator"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherOperatingIncomeExpense" xlink:label="ifrs-full_OtherOperatingIncomeExpense" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ext_OperatingCosts"
                          xlink:to="ifrs-full_OtherOperatingIncomeExpense"
                            weight="1.0"
                            order="1"
                          xlink:type="arc"/>
      <link:loc xlink:href="8156005420362AE59184-2024-12-31.xsd#ext_NetProvisionsForRisksAndCharges" xlink:label="ext_NetProvisionsForRisksAndCharges" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ext_OperatingCosts"
                          xlink:to="ext_NetProvisionsForRisksAndCharges"
                            weight="1.0"
                            order="2"
                          xlink:type="arc"/>
      <link:loc xlink:href="8156005420362AE59184-2024-12-31.xsd#ext_DepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossTangibleAssets" xlink:label="ext_DepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossTangibleAssets" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ext_OperatingCosts"
                          xlink:to="ext_DepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossTangibleAssets"
                            weight="1.0"
                            order="3"
                          xlink:type="arc"/>
      <link:loc xlink:href="8156005420362AE59184-2024-12-31.xsd#ext_DepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossIntangibleAssetsOtherThanGoodwill" xlink:label="ext_DepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossIntangibleAssetsOtherThanGoodwill" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ext_OperatingCosts"
                          xlink:to="ext_DepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossIntangibleAssetsOtherThanGoodwill"
                            weight="1.0"
                            order="4"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdministrativeExpense" xlink:label="ifrs-full_AdministrativeExpense" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ext_OperatingCosts"
                          xlink:to="ifrs-full_AdministrativeExpense"
                            weight="-1.0"
                            order="5"
                          xlink:type="arc"/>
   </link:calculationLink>
   <link:calculationLink xlink:role="https://www.bancaifis.it/xbrl/role/all/ias_1_role-310000" xlink:type="extended">
      <link:loc xlink:href="8156005420362AE59184-2024-12-31.xsd#ext_ProfitLossFromFinancialAndInsuranceActivities" xlink:label="ext_ProfitLossFromFinancialAndInsuranceActivities" xlink:type="locator"/>
      <link:loc xlink:href="8156005420362AE59184-2024-12-31.xsd#ext_NetProfitFromFinancialActivities" xlink:label="ext_NetProfitFromFinancialActivities" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ext_ProfitLossFromFinancialAndInsuranceActivities"
                          xlink:to="ext_NetProfitFromFinancialActivities"
                            weight="1.0"
                            order="1"
                          xlink:type="arc"/>
   </link:calculationLink>
   <!-- https://xbrl.org/2023/arcrole/summation-item https://www.bancaifis.it/xbrl/role/all/ias_1_role-410000 -->
   <link:calculationLink xlink:role="https://www.bancaifis.it/xbrl/role/all/ias_1_role-410000" xlink:type="extended">
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ComprehensiveIncome" xlink:label="ifrs-full_ComprehensiveIncome" xlink:type="locator"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLoss" xlink:label="ifrs-full_ProfitLoss" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_ComprehensiveIncome"
                          xlink:to="ifrs-full_ProfitLoss"
                            order="10.0"
                            weight="1.0"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncome" xlink:label="ifrs-full_OtherComprehensiveIncome" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_ComprehensiveIncome"
                          xlink:to="ifrs-full_OtherComprehensiveIncome"
                            order="20.0"
                            weight="1.0"
                          xlink:type="arc"/>
   </link:calculationLink>
   <link:calculationLink xlink:role="https://www.bancaifis.it/xbrl/role/all/ias_1_role-410000" xlink:type="extended">
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncome" xlink:label="ifrs-full_OtherComprehensiveIncome" xlink:type="locator"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax" xlink:label="ifrs-full_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_OtherComprehensiveIncome"
                          xlink:to="ifrs-full_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax"
                            order="10.0"
                            weight="1.0"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax" xlink:label="ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_OtherComprehensiveIncome"
                          xlink:to="ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax"
                            order="20.0"
                            weight="1.0"
                          xlink:type="arc"/>
   </link:calculationLink>
   <link:calculationLink xlink:role="https://www.bancaifis.it/xbrl/role/all/ias_1_role-410000" xlink:type="extended">
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax" xlink:label="ifrs-full_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax" xlink:type="locator"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesFromInvestmentsInEquityInstruments" xlink:label="ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesFromInvestmentsInEquityInstruments" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax"
                          xlink:to="ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesFromInvestmentsInEquityInstruments"
                            order="10.0"
                            weight="1.0"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans" xlink:label="ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax"
                          xlink:to="ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans"
                            order="30.0"
                            weight="1.0"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesOnHedgingInstrumentsThatHedgeInvestmentsInEquityInstruments" xlink:label="ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesOnHedgingInstrumentsThatHedgeInvestmentsInEquityInstruments" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax"
                          xlink:to="ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesOnHedgingInstrumentsThatHedgeInvestmentsInEquityInstruments"
                            order="60.0"
                            weight="1.0"
                          xlink:type="arc"/>
   </link:calculationLink>
   <link:calculationLink xlink:role="https://www.bancaifis.it/xbrl/role/all/ias_1_role-410000" xlink:type="extended">
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax" xlink:label="ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax" xlink:type="locator"/>
      <link:loc xlink:href="8156005420362AE59184-2024-12-31.xsd#ext_ForeignExchangeDifferences" xlink:label="ext_ForeignExchangeDifferences" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax"
                          xlink:to="ext_ForeignExchangeDifferences"
                            weight="1.0"
                            order="1"
                          xlink:type="arc"/>
      <link:loc xlink:href="8156005420362AE59184-2024-12-31.xsd#ext_GainsLossesOnFinancialAssetsOtherThanEquityInstrumentsMeasuredAtFairValueThroughOtherComprehensiveIncomeNetOfTax" xlink:label="ext_GainsLossesOnFinancialAssetsOtherThanEquityInstrumentsMeasuredAtFairValueThroughOtherComprehensiveIncomeNetOfTax" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax"
                          xlink:to="ext_GainsLossesOnFinancialAssetsOtherThanEquityInstrumentsMeasuredAtFairValueThroughOtherComprehensiveIncomeNetOfTax"
                            weight="1.0"
                            order="2"
                          xlink:type="arc"/>
   </link:calculationLink>
   <!-- https://xbrl.org/2023/arcrole/summation-item https://www.bancaifis.it/xbrl/role/all/ias_1_role-610000 -->
   <link:calculationLink xlink:role="https://www.bancaifis.it/xbrl/role/all/ias_1_role-610000" xlink:type="extended">
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ComprehensiveIncome" xlink:label="ifrs-full_ComprehensiveIncome" xlink:type="locator"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLoss" xlink:label="ifrs-full_ProfitLoss" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_ComprehensiveIncome"
                          xlink:to="ifrs-full_ProfitLoss"
                            order="10.0"
                            weight="1.0"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncome" xlink:label="ifrs-full_OtherComprehensiveIncome" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_ComprehensiveIncome"
                          xlink:to="ifrs-full_OtherComprehensiveIncome"
                            order="20.0"
                            weight="1.0"
                          xlink:type="arc"/>
   </link:calculationLink>
   <link:calculationLink xlink:role="https://www.bancaifis.it/xbrl/role/all/ias_1_role-610000" xlink:type="extended">
      <link:loc xlink:href="8156005420362AE59184-2024-12-31.xsd#ext_TotalEquity" xlink:label="ext_TotalEquity" xlink:type="locator"/>
      <link:loc xlink:href="8156005420362AE59184-2024-12-31.xsd#ext_TotalNoncontrollingInterests" xlink:label="ext_TotalNoncontrollingInterests" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ext_TotalEquity"
                          xlink:to="ext_TotalNoncontrollingInterests"
                            weight="1.0"
                            order="1"
                          xlink:type="arc"/>
      <link:loc xlink:href="8156005420362AE59184-2024-12-31.xsd#ext_TotalEquityAttributableToOwnersOfParent" xlink:label="ext_TotalEquityAttributableToOwnersOfParent" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ext_TotalEquity"
                          xlink:to="ext_TotalEquityAttributableToOwnersOfParent"
                            weight="1.0"
                            order="2"
                          xlink:type="arc"/>
   </link:calculationLink>
   <!-- https://xbrl.org/2023/arcrole/summation-item https://www.bancaifis.it/xbrl/role/all/ias_7_role-520000 -->
   <link:calculationLink xlink:role="https://www.bancaifis.it/xbrl/role/all/ias_7_role-520000" xlink:type="extended">
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:label="ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:type="locator"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges"
                          xlink:to="ifrs-full_CashFlowsFromUsedInOperatingActivities"
                            order="10.0"
                            weight="1.0"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges"
                          xlink:to="ifrs-full_CashFlowsFromUsedInInvestingActivities"
                            order="20.0"
                            weight="1.0"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges"
                          xlink:to="ifrs-full_CashFlowsFromUsedInFinancingActivities"
                            order="30.0"
                            weight="1.0"
                          xlink:type="arc"/>
   </link:calculationLink>
   <link:calculationLink xlink:role="https://www.bancaifis.it/xbrl/role/all/ias_7_role-520000" xlink:type="extended">
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:type="locator"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperations" xlink:label="ifrs-full_CashFlowsFromUsedInOperations" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_CashFlowsFromUsedInOperatingActivities"
                          xlink:to="ifrs-full_CashFlowsFromUsedInOperations"
                            order="10.0"
                            weight="1.0"
                          xlink:type="arc"/>
      <link:loc xlink:href="8156005420362AE59184-2024-12-31.xsd#ext_CashFlowsFromUsedInFinancialLiabilitiesClassifiedAsOperatingactivities" xlink:label="ext_CashFlowsFromUsedInFinancialLiabilitiesClassifiedAsOperatingactivities" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_CashFlowsFromUsedInOperatingActivities"
                          xlink:to="ext_CashFlowsFromUsedInFinancialLiabilitiesClassifiedAsOperatingactivities"
                            weight="1.0"
                            order="11.0"
                          xlink:type="arc"/>
      <link:loc xlink:href="8156005420362AE59184-2024-12-31.xsd#ext_CashFlowsFromUsedInFinancialAssetsClassifiedAsOperatingactivities" xlink:label="ext_CashFlowsFromUsedInFinancialAssetsClassifiedAsOperatingactivities" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_CashFlowsFromUsedInOperatingActivities"
                          xlink:to="ext_CashFlowsFromUsedInFinancialAssetsClassifiedAsOperatingactivities"
                            weight="1.0"
                            order="12.0"
                          xlink:type="arc"/>
   </link:calculationLink>
   <link:calculationLink xlink:role="https://www.bancaifis.it/xbrl/role/all/ias_7_role-520000" xlink:type="extended">
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperations" xlink:label="ifrs-full_CashFlowsFromUsedInOperations" xlink:type="locator"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLoss" xlink:label="ifrs-full_ProfitLoss" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_CashFlowsFromUsedInOperations"
                          xlink:to="ifrs-full_ProfitLoss"
                            order="10.0"
                            weight="1.0"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherAdjustmentsToReconcileProfitLoss" xlink:label="ifrs-full_OtherAdjustmentsToReconcileProfitLoss" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_CashFlowsFromUsedInOperations"
                          xlink:to="ifrs-full_OtherAdjustmentsToReconcileProfitLoss"
                            weight="1.0"
                            order="11.0"
                          xlink:type="arc"/>
      <link:loc xlink:href="8156005420362AE59184-2024-12-31.xsd#ext_UnpaidDutiesTaxesAndTaxCredits" xlink:label="ext_UnpaidDutiesTaxesAndTaxCredits" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_CashFlowsFromUsedInOperations"
                          xlink:to="ext_UnpaidDutiesTaxesAndTaxCredits"
                            weight="1.0"
                            order="12.0"
                          xlink:type="arc"/>
      <link:loc xlink:href="8156005420362AE59184-2024-12-31.xsd#ext_NetLossesRecoveriesOnCreditImpairment" xlink:label="ext_NetLossesRecoveriesOnCreditImpairment" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_CashFlowsFromUsedInOperations"
                          xlink:to="ext_NetLossesRecoveriesOnCreditImpairment"
                            weight="1.0"
                            order="13.0"
                          xlink:type="arc"/>
      <link:loc xlink:href="8156005420362AE59184-2024-12-31.xsd#ext_NetValueAdjustmentsWriteBacksOnTangibleAndIntangibleAssets" xlink:label="ext_NetValueAdjustmentsWriteBacksOnTangibleAndIntangibleAssets" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_CashFlowsFromUsedInOperations"
                          xlink:to="ext_NetValueAdjustmentsWriteBacksOnTangibleAndIntangibleAssets"
                            weight="1.0"
                            order="14.0"
                          xlink:type="arc"/>
      <link:loc xlink:href="8156005420362AE59184-2024-12-31.xsd#ext_NetProvisionsForRisksAndChargesAndOtherExpensesIncome" xlink:label="ext_NetProvisionsForRisksAndChargesAndOtherExpensesIncome" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_CashFlowsFromUsedInOperations"
                          xlink:to="ext_NetProvisionsForRisksAndChargesAndOtherExpensesIncome"
                            weight="1.0"
                            order="15.0"
                          xlink:type="arc"/>
      <link:loc xlink:href="8156005420362AE59184-2024-12-31.xsd#ext_GainLossOnFinancialAssetsHeldForTradingAndOnOtherFinancialAssetsLiabilitiesAtFairValueThroughProfitOrLoss" xlink:label="ext_GainLossOnFinancialAssetsHeldForTradingAndOnOtherFinancialAssetsLiabilitiesAtFairValueThroughProfitOrLoss" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_CashFlowsFromUsedInOperations"
                          xlink:to="ext_GainLossOnFinancialAssetsHeldForTradingAndOnOtherFinancialAssetsLiabilitiesAtFairValueThroughProfitOrLoss"
                            weight="1.0"
                            order="16.0"
                          xlink:type="arc"/>
      <link:loc xlink:href="8156005420362AE59184-2024-12-31.xsd#ext_GainLossOnHedgeAccounting" xlink:label="ext_GainLossOnHedgeAccounting" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_CashFlowsFromUsedInOperations"
                          xlink:to="ext_GainLossOnHedgeAccounting"
                            weight="1.0"
                            order="17.0"
                          xlink:type="arc"/>
   </link:calculationLink>
   <link:calculationLink xlink:role="https://www.bancaifis.it/xbrl/role/all/ias_7_role-520000" xlink:type="extended">
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:type="locator"/>
      <link:loc xlink:href="8156005420362AE59184-2024-12-31.xsd#ext_CashFlowsUsedInInvestingActivities" xlink:label="ext_CashFlowsUsedInInvestingActivities" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_CashFlowsFromUsedInInvestingActivities"
                          xlink:to="ext_CashFlowsUsedInInvestingActivities"
                            weight="1.0"
                            order="1"
                          xlink:type="arc"/>
      <link:loc xlink:href="8156005420362AE59184-2024-12-31.xsd#ext_CashFlowsFromInvestingActivities" xlink:label="ext_CashFlowsFromInvestingActivities" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_CashFlowsFromUsedInInvestingActivities"
                          xlink:to="ext_CashFlowsFromInvestingActivities"
                            weight="1.0"
                            order="2"
                          xlink:type="arc"/>
   </link:calculationLink>
   <link:calculationLink xlink:role="https://www.bancaifis.it/xbrl/role/all/ias_7_role-520000" xlink:type="extended">
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:type="locator"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DividendsPaidClassifiedAsFinancingActivities" xlink:label="ifrs-full_DividendsPaidClassifiedAsFinancingActivities" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ifrs-full_CashFlowsFromUsedInFinancingActivities"
                          xlink:to="ifrs-full_DividendsPaidClassifiedAsFinancingActivities"
                            order="110.0"
                            weight="-1.0"
                          xlink:type="arc"/>
   </link:calculationLink>
   <link:calculationLink xlink:role="https://www.bancaifis.it/xbrl/role/all/ias_7_role-520000" xlink:type="extended">
      <link:loc xlink:href="8156005420362AE59184-2024-12-31.xsd#ext_CashFlowsFromInvestingActivities" xlink:label="ext_CashFlowsFromInvestingActivities" xlink:type="locator"/>
      <link:loc xlink:href="8156005420362AE59184-2024-12-31.xsd#ext_ProceedsFromSalesOfTangibleAssetsClassifiedAsInvestingactivities" xlink:label="ext_ProceedsFromSalesOfTangibleAssetsClassifiedAsInvestingactivities" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ext_CashFlowsFromInvestingActivities"
                          xlink:to="ext_ProceedsFromSalesOfTangibleAssetsClassifiedAsInvestingactivities"
                            weight="1.0"
                            order="1"
                          xlink:type="arc"/>
   </link:calculationLink>
   <link:calculationLink xlink:role="https://www.bancaifis.it/xbrl/role/all/ias_7_role-520000" xlink:type="extended">
      <link:loc xlink:href="8156005420362AE59184-2024-12-31.xsd#ext_CashFlowsFromUsedInFinancialAssetsClassifiedAsOperatingactivities" xlink:label="ext_CashFlowsFromUsedInFinancialAssetsClassifiedAsOperatingactivities" xlink:type="locator"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInFinancialAssetsHeldForTrading" xlink:label="ifrs-full_AdjustmentsForDecreaseIncreaseInFinancialAssetsHeldForTrading" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ext_CashFlowsFromUsedInFinancialAssetsClassifiedAsOperatingactivities"
                          xlink:to="ifrs-full_AdjustmentsForDecreaseIncreaseInFinancialAssetsHeldForTrading"
                            weight="1.0"
                            order="1"
                          xlink:type="arc"/>
      <link:loc xlink:href="8156005420362AE59184-2024-12-31.xsd#ext_LiquidityGeneratedAbsorbedByOtherAssets" xlink:label="ext_LiquidityGeneratedAbsorbedByOtherAssets" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ext_CashFlowsFromUsedInFinancialAssetsClassifiedAsOperatingactivities"
                          xlink:to="ext_LiquidityGeneratedAbsorbedByOtherAssets"
                            weight="1.0"
                            order="2"
                          xlink:type="arc"/>
      <link:loc xlink:href="8156005420362AE59184-2024-12-31.xsd#ext_AdjustmentsForDecreaseIncreaseInFinancialAssetsAtAmortisedCost" xlink:label="ext_AdjustmentsForDecreaseIncreaseInFinancialAssetsAtAmortisedCost" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ext_CashFlowsFromUsedInFinancialAssetsClassifiedAsOperatingactivities"
                          xlink:to="ext_AdjustmentsForDecreaseIncreaseInFinancialAssetsAtAmortisedCost"
                            weight="1.0"
                            order="3"
                          xlink:type="arc"/>
      <link:loc xlink:href="8156005420362AE59184-2024-12-31.xsd#ext_AdjustmentsForDecreaseIncreaseInFinancialAssetsAtFairValueThroughOtherComprehensiveIncome" xlink:label="ext_AdjustmentsForDecreaseIncreaseInFinancialAssetsAtFairValueThroughOtherComprehensiveIncome" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ext_CashFlowsFromUsedInFinancialAssetsClassifiedAsOperatingactivities"
                          xlink:to="ext_AdjustmentsForDecreaseIncreaseInFinancialAssetsAtFairValueThroughOtherComprehensiveIncome"
                            weight="1.0"
                            order="4"
                          xlink:type="arc"/>
      <link:loc xlink:href="8156005420362AE59184-2024-12-31.xsd#ext_AdjustmentsForDecreaseIncreaseInOtherFinancialAssetsMandatorilyAtFairValue" xlink:label="ext_AdjustmentsForDecreaseIncreaseInOtherFinancialAssetsMandatorilyAtFairValue" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ext_CashFlowsFromUsedInFinancialAssetsClassifiedAsOperatingactivities"
                          xlink:to="ext_AdjustmentsForDecreaseIncreaseInOtherFinancialAssetsMandatorilyAtFairValue"
                            weight="1.0"
                            order="5"
                          xlink:type="arc"/>
   </link:calculationLink>
   <link:calculationLink xlink:role="https://www.bancaifis.it/xbrl/role/all/ias_7_role-520000" xlink:type="extended">
      <link:loc xlink:href="8156005420362AE59184-2024-12-31.xsd#ext_CashFlowsFromUsedInFinancialLiabilitiesClassifiedAsOperatingactivities" xlink:label="ext_CashFlowsFromUsedInFinancialLiabilitiesClassifiedAsOperatingactivities" xlink:type="locator"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForIncreaseDecreaseInFinancialLiabilitiesHeldForTrading" xlink:label="ifrs-full_AdjustmentsForIncreaseDecreaseInFinancialLiabilitiesHeldForTrading" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ext_CashFlowsFromUsedInFinancialLiabilitiesClassifiedAsOperatingactivities"
                          xlink:to="ifrs-full_AdjustmentsForIncreaseDecreaseInFinancialLiabilitiesHeldForTrading"
                            weight="1.0"
                            order="1"
                          xlink:type="arc"/>
      <link:loc xlink:href="8156005420362AE59184-2024-12-31.xsd#ext_CashFlowsFromIncreaseDecreaseOfOtherLiabilities" xlink:label="ext_CashFlowsFromIncreaseDecreaseOfOtherLiabilities" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ext_CashFlowsFromUsedInFinancialLiabilitiesClassifiedAsOperatingactivities"
                          xlink:to="ext_CashFlowsFromIncreaseDecreaseOfOtherLiabilities"
                            weight="1.0"
                            order="2"
                          xlink:type="arc"/>
      <link:loc xlink:href="8156005420362AE59184-2024-12-31.xsd#ext_AdjustmentsForIncreaseDecreaseInFinancialLiabilitiesAtAmortisedCost" xlink:label="ext_AdjustmentsForIncreaseDecreaseInFinancialLiabilitiesAtAmortisedCost" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ext_CashFlowsFromUsedInFinancialLiabilitiesClassifiedAsOperatingactivities"
                          xlink:to="ext_AdjustmentsForIncreaseDecreaseInFinancialLiabilitiesAtAmortisedCost"
                            weight="1.0"
                            order="3"
                          xlink:type="arc"/>
   </link:calculationLink>
   <link:calculationLink xlink:role="https://www.bancaifis.it/xbrl/role/all/ias_7_role-520000" xlink:type="extended">
      <link:loc xlink:href="8156005420362AE59184-2024-12-31.xsd#ext_CashFlowsUsedInInvestingActivities" xlink:label="ext_CashFlowsUsedInInvestingActivities" xlink:type="locator"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" xlink:label="ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ext_CashFlowsUsedInInvestingActivities"
                          xlink:to="ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities"
                            weight="-1.0"
                            order="1"
                          xlink:type="arc"/>
      <link:loc xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PurchaseOfIntangibleAssetsClassifiedAsInvestingActivities" xlink:label="ifrs-full_PurchaseOfIntangibleAssetsClassifiedAsInvestingActivities" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ext_CashFlowsUsedInInvestingActivities"
                          xlink:to="ifrs-full_PurchaseOfIntangibleAssetsClassifiedAsInvestingActivities"
                            weight="-1.0"
                            order="2"
                          xlink:type="arc"/>
      <link:loc xlink:href="8156005420362AE59184-2024-12-31.xsd#ext_PurchaseOfTangibleAssetsClassifiedAsInvestingactivities" xlink:label="ext_PurchaseOfTangibleAssetsClassifiedAsInvestingactivities" xlink:type="locator"/>
      <link:calculationArc
                          xlink:arcrole="https://xbrl.org/2023/arcrole/summation-item"
                          xlink:from="ext_CashFlowsUsedInInvestingActivities"
                          xlink:to="ext_PurchaseOfTangibleAssetsClassifiedAsInvestingactivities"
                            weight="-1.0"
                            order="3"
                          xlink:type="arc"/>
   </link:calculationLink>

</link:linkbase>